ISST-LTE: Witherspoon:Ubuntu1804:PowerNV:whip :Unable to start "STAF" on Witherspoon system due to java dumping

Bug #1758264 reported by bugproxy on 2018-03-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
Critical
Canonical Kernel Team
linux (Ubuntu)
Critical
Manoj Iyer
Bionic
Critical
Manoj Iyer

Bug Description

== Comment: #0 - INDIRA P. JOGA <email address hidden> - 2018-03-22 06:45:23 ==
Problem Description:
===================
Unable to start "STAF" on Witherspoon system due to java dumping

Steps to re-create:
==================
> System installed with Ubunu1804 build.

root@whip:# uname -a
Linux whip 4.15.0-12-generic #13-Ubuntu SMP Wed Mar 7 21:37:03 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

> We are using staf framework to run the LTP test buckets.

> Unable to start the staf process.

> It fails to start and i see java dumping core.

> core details

root@whip:/# ls -l core*
-rw------- 1 root root 20709376 Mar 22 06:07 core
-rw------- 1 root root 114753536 Mar 22 06:06 core.20180322.060600.4626.0001.dmp
-rw------- 1 root root 115736576 Mar 22 06:06 core.20180322.060603.4631.0001.dmp

> Attached core files

NOTE:-
------
System is on a private network. Access the private network via SSH to "banner.isst.aus.stglabs.ibm.com" using your GSA ID and password.
(Banner itself is behind a BSO, so must authenticate through that first.)

Login details :
ssh banner.isst.aus.stglabs.ibm.com [debug/don2rry ]

Host login:-ssh -p 2200 root@bmc-wax (0penBmc) (or)

ssh root@wax (don2rry)

== Comment: #5 - INDIRA P. JOGA <email address hidden> - 2018-03-22 07:09:14 ==
Unable to attach core file because huge size.

Please find the path from the system:

root@whip:/# pwd
/
root@whip:/# ls -l core*
-rw------- 1 root root 20709376 Mar 22 06:07 core
-rw------- 1 root root 114753536 Mar 22 06:06 core.20180322.060600.4626.0001.dmp
-rw------- 1 root root 115736576 Mar 22 06:06 core.20180322.060603.4631.0001.dmp
root@whip:/#

Regards,
Indira

== Comment: #6 - INDIRA P. JOGA <email address hidden> - 2018-03-22 07:20:12 ==
Also you can find them in banner

banner@banner:~> pwd
/home/banner
banner@banner:~> ls -l core*
-rw------- 1 banner banner 114753536 Mar 22 06:46 core.20180322.060600.4626.0001.dmp
-rw------- 1 banner banner 115736576 Mar 22 06:46 core.20180322.060603.4631.0001.dmp

== Comment: #8 - SEETEENA THOUFEEK <email address hidden> - 2018-03-22 09:00:18 ==

Please pick

https://git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux.git/commit/?h=fixes&id=e4b79900222b8cccd4da4a7a89581f0e1b764ed2
("powerpc/64s: Fix NULL AT_BASE_PLATFORM when using DT CPU features")

bugproxy (bugproxy) on 2018-03-23
tags: added: architecture-ppc64le bugnameltc-165949 severity-critical targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → kernel-package (Ubuntu)
affects: kernel-package (Ubuntu) → linux (Ubuntu)
Changed in ubuntu-power-systems:
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: triage-g

------- Comment From <email address hidden> 2018-03-26 08:20 EDT-------
Canonical,

Any update here ?

Manoj Iyer (manjo) on 2018-03-26
Changed in linux (Ubuntu):
importance: Undecided → Critical
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Kernel Team (canonical-kernel-team)
Manoj Iyer (manjo) wrote :

I have applied the patch and built a kernel in PPA https://launchpad.net/~ubuntu-power-triage/+archive/ubuntu/lp1758264/

Please test this kernel and report back here.

Changed in linux (Ubuntu):
status: New → In Progress
assignee: Canonical Kernel Team (canonical-kernel-team) → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
assignee: Joseph Salisbury (jsalisbury) → Manoj Iyer (manjo)
Manoj Iyer (manjo) on 2018-03-28
Changed in ubuntu-power-systems:
status: Triaged → In Progress
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-03 05:56 EDT-------
Hi,

Can you please provide kernel test package instead of ppa instructions,as our test machiens are in pribate network ppa is not woking.

Regards,
Indira

Dimitri John Ledkov (xnox) wrote :

Open the ppa page: https://launchpad.net/~ubuntu-power-triage/+archive/ubuntu/lp1758264/

Click on Technical details about this PPA

This will show you the URLs to the flat PPA http://ppa.launchpad.net/ubuntu-power-triage/lp1758264/ubuntu/ from there you can download debs from the pool by hand, and transfer as needed.

This is true for most PPAs

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-06 04:57 EDT-------
Installed the patch and now staf is getting started properly

root@woo:~# uname -a
Linux woo 4.15.0-13-generic #14~lp1758264+build.1-Ubuntu SMP Tue Mar 27 01:43:24 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux
root@woo:~# uname -r
4.15.0-13-generic
root@woo:~# ps -ef | grep staf
root 4717 1 0 Apr05 ? 00:00:00 /usr/local/staf/bin/STAFProc
root 4806 4717 0 Apr05 ? 00:00:11 java -Xmx1024m com.ibm.staf.service.STAFServiceHelper STAFJVM1
root 23248 22939 0 03:56 pts/0 00:00:00 grep --color=auto staf
root@woo:~#

Regards,
Indira

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-16 03:23 EDT-------
Hi,

Is this patch available in official daily ubunu1804 build ? If not please let us know the expected date.

Regards,
Indira

Andrew Cloke (andrew-cloke) wrote :

This comment has been added to a ticket that has been marked as a duplicate of bug #1759312. Please follow bug #1759312 for updates.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers